import pandas as pd
import psycopg2 as psy
import matplotlib.pyplot as plt


data = pd.read_csv(r'co2_emission.csv')
df = pd.DataFrame(data)
df2 = df.drop_duplicates()
co = None


try : 
    co = psy.connect(host='berlin',
        database = 'dbmalanone',
        user = 'malanone',
        password = 'azertyuiop')
    curs=co.cursor()

    #Delete all the lines which has no data
    curs.execute('''DELETE FROM CO_DEUX WHERE emission = 0''')
    curs.execute('''DELETE FROM CO_DEUX WHERE code LIKE 'NaN' ''')

    df3 = pd.read_sql('''SELECT * FROM CO_DEUX WHERE code LIKE 'FRA' AND year BETWEEN 2000 AND 2017;''',con=co)

    #Chart that picture the evolution of the emission in France
    print("test")
    print(df3)
    fig = df3.plot(x='year', y='emission', legend=False, style='-', kind='bar')
    print("test")
    fig.set_title("Quantité d'émission (tonnes) en fonction des années")
    print("test")
    fig.set_xlabel("annee")
    fig.set_ylabel("emissions")
    fig.set_xticks(df3.index)
    fig.set_xticklabels(df3['year'], rotation='45')

    plt.show()
 

    co.commit()




except (Exception, psy.DatabaseError) as error :
    print(error)

finally :
    if co is not None:
        co.close()
